Bug 218804 - Patch correction for sysutils/puppetserver
Summary: Patch correction for sysutils/puppetserver
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-21 21:47 UTC by Zach Leslie
Modified: 2017-07-01 19:48 UTC (History)
2 users (show)

See Also:


Attachments
SVN diff, modify the puppetserver bin command (850 bytes, patch)
2017-04-21 21:47 UTC, Zach Leslie
no flags Details | Diff
Updated SVN diff for shell command (851 bytes, patch)
2017-04-24 17:08 UTC, Zach Leslie
no flags Details | Diff
svn diff of sysutils/puppetserver (1.12 KB, patch)
2017-07-01 19:18 UTC, Zach Leslie
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zach Leslie freebsd_committer 2017-04-21 21:47:57 UTC
Created attachment 181992 [details]
SVN diff, modify the puppetserver bin command

Here is a patch that updates the bin command for puppetserver.  There was an error in the previous patch, resulting in a bad execution shell.  Here we correct the patch to modify only the shell.
Comment 1 Martin Wilke freebsd_committer 2017-04-22 12:03:08 UTC
Hi Zach,

Actually this looks wrong too.
     INSTALL_DIR="/opt/puppetlabs/server/apps/puppetserver"

Which also fails to create a proper package,
http://pkg.miwibox.org/data/12amd64-test-testing/2017-04-15_18h26m02s/logs/errors/puppet4-4.9.4.log

Can you please have a look in that too?

Thanks,
- Martin
Comment 2 Zach Leslie freebsd_committer 2017-04-24 04:19:56 UTC
I'll have a look.  I'm now realizing I may not have had a clean working copy before I ran svn diff.  I'll retest locally and update the patch.
Comment 3 Martin Wilke freebsd_committer 2017-04-24 07:03:18 UTC
(In reply to Zach Leslie from comment #2)

Cool thanks :).
Comment 4 Zach Leslie freebsd_committer 2017-04-24 17:08:04 UTC
Created attachment 182049 [details]
Updated SVN diff for shell command

Here is the updated patch from svn diff.  The only change from the original is the revision from what I can tell.  I've validated that this builds as expected and that the resulting /usr/local/bin/puppetserver command has the correct shell path of /usr/local/bin/bash.

The INSTALL_DIR that you are seeing is just part of the patch.  If you apply the patch, you will see that there is a case switch for FreeBSD that has the correct INSTALL_DIR, which has already been there for some time.

Let me know if this looks good, or if changes need to be made.

Cheers,

Zach
Comment 5 Martin Wilke freebsd_committer 2017-04-24 17:30:14 UTC
Hi Zach,

I will look tomorrow and come back to you on that,

one thing

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: @dir /opt/puppetlabs/puppet/share/locale
Error: Orphaned: @dir /opt/puppetlabs/puppet/share
Error: Orphaned: @dir /opt/puppetlabs/puppet
Error: Orphaned: @dir /opt/puppetlabs
Error: Orphaned: @dir /opt
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

we need to patch that to correct the build package :).

- Martin
Comment 6 Zach Leslie freebsd_committer 2017-04-24 18:20:23 UTC
Thanks Martin,

I'd attempted to patch that in #216807, but it looks like that got dropped from the commit.  You can see the back and forth there.

I've submitted a new PR for sysutils/puppet4 in #218853 to address the issue you are pointing to.  This contains the original path I'd submitted in #216807 but were dropped before commit.

Let me know how it goes.  Thanks for looking.

Zach
Comment 7 Zach Leslie freebsd_committer 2017-05-16 18:27:31 UTC
Is there anything I can do to help?
Comment 8 Zach Leslie freebsd_committer 2017-06-10 22:03:29 UTC
Howdy, Is there a chance of this getting looked at soon?  There is going to be a new release soon and I'd like to move forward.  If I can help, please let me know.
Comment 9 Zach Leslie freebsd_committer 2017-07-01 19:18:13 UTC
Created attachment 183989 [details]
svn diff of sysutils/puppetserver
Comment 10 commit-hook freebsd_committer 2017-07-01 19:47:25 UTC
A commit references this bug:

Author: swills
Date: Sat Jul  1 19:46:45 UTC 2017
New revision: 444833
URL: https://svnweb.freebsd.org/changeset/ports/444833

Log:
  sysutils/puppetserver: correct patch

  PR:		218804
  Submitted by:	Zach Leslie <freebsd@zleslie.info> (maintainer)

Changes:
  head/sysutils/puppetserver/Makefile
  head/sysutils/puppetserver/files/patch-ext__bin__puppetserver
Comment 11 Steve Wills freebsd_committer 2017-07-01 19:48:15 UTC
Committed, thanks!